Package com.io7m.cardant.model

# Record Class CAMetadataValueMatchType.MonetaryMatchType.WithinRange

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAMetadataValueMatchType.MonetaryMatchType.WithinRange

Record Components:
  `lower` - The lower bound
  `upper` - The upper bound

All Implemented Interfaces:
  `CAMetadataValueMatchType`, `CAMetadataValueMatchType.MonetaryMatchType`

Enclosing interface:
  `CAMetadataValueMatchType.MonetaryMatchType`

public static record CAMetadataValueMatchType.MonetaryMatchType.WithinRange(BigDecimal lower, BigDecimal upper) extends Record implements CAMetadataValueMatchType.MonetaryMatchType
Match metadata of a monetary type with values within the given inclusive range.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.io7m.cardant.model.CAMetadataValueMatchType

  `CAMetadataValueMatchType.AnyValue, CAMetadataValueMatchType.IntegralMatchType, CAMetadataValueMatchType.MonetaryMatchType, CAMetadataValueMatchType.RealMatchType, CAMetadataValueMatchType.TextMatchType, CAMetadataValueMatchType.TimeMatchType`

  ## Nested classes/interfaces inherited from interface com.io7m.cardant.model.CAMetadataValueMatchType.MonetaryMatchType

  `CAMetadataValueMatchType.MonetaryMatchType.WithCurrency, CAMetadataValueMatchType.MonetaryMatchType.WithinRange`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WithinRange(BigDecimal lower, BigDecimal upper)`
  Match metadata of a monetary type with values within the given inclusive range.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `BigDecimal`
  `lower()`
  Returns the value of the `lower` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `BigDecimal`
  `upper()`
  Returns the value of the `upper` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WithinRange

    public WithinRange(BigDecimal lower, BigDecimal upper)
    Match metadata of a monetary type with values within the given inclusive range.

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### lower

    public BigDecimal lower()
    Returns the value of the `lower` record component.
    Returns:
      the value of the `lower` record component

  - ### upper

    public BigDecimal upper()
    Returns the value of the `upper` record component.
    Returns:
      the value of the `upper` record component